Subject: Offline Message from hasanah khalawi: I have now contacted you probably 6 ti
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Date: Thu, 18 Jun 2020 09:36:16 -0000

From: hasanah khalawi <[email-masked]>
Phone: 
Location: Riyadh, Saudi Arabia
URL: https://saudi.mumzworld.com/sa-en/sales/order/history/
Department: 

 I have now contacted you probably 6 times to fix a mistake your website made regarding my order (100158357) the shipping address is wrong and it is going to be shipped to a person under the name (norah alissa) who I don't even know, you told me in the recent emails that it is going to be fixed. I just received an email saying my things have been dispatched to the same wrong address so nothing has been fixed my things are still going to the wrong address and person what is happening?!

----
Zopim
https://www.zopim.com